summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky2016-12-29 03:49:21 +0100
committer Willy Sudiarto Raharjo2016-12-31 02:22:14 +0100
commit758eb5fe759ae8a8ecb8189948d2bcaf7c597f07 (patch)
tree580c5343d0779815a25c27e6c56e6236e4785e7d
parente5badbbebb8e0d2f5d4784d97bef67e17da84b0e (diff)
downloadslackbuilds-758eb5fe759ae8a8ecb8189948d2bcaf7c597f07.tar.gz
system/isdct: Added (Intel SSD Data Center Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/isdct/README11
-rw-r--r--system/isdct/isdct.SlackBuild92
-rw-r--r--system/isdct/isdct.info14
-rw-r--r--system/isdct/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/system/isdct/README b/system/isdct/README
new file mode 100644
index 0000000000..a127e6e513
--- /dev/null
+++ b/system/isdct/README
@@ -0,0 +1,11 @@
+The isdct is a proprietary command-line tool to manage Intel SSD Data
+Center Family NVMe and SATA drives. It can be used to update SSD
+firmware, calculate drive life expectancy, analyze the SMART
+information, securely erase, and much more.
+
+isdct supports Intel SSD DC, 750 Series (but does not support 910
+Series).
+
+The sg kernel module is required by isdct. To have this module loaded
+on boot, please uncomment the corresponding line in
+/etc/rc.d/rc.modules.local
diff --git a/system/isdct/isdct.SlackBuild b/system/isdct/isdct.SlackBuild
new file mode 100644
index 0000000000..241fd1c669
--- /dev/null
+++ b/system/isdct/isdct.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for isdct
+
+# Copyright 2016, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=isdct
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i?86) RPMARCH=i386 ;;
+ x86_64) RPMARCH=x86_64 ;;
+ *) printf "\n$ARCH is unsupported for the Intel SSD Data Center Tool.\n\n"
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+unzip $CWD/DataCenterTool_${VERSION//./_}_Linux.zip
+rpm2cpio isdct-${VERSION}.*.$RPMARCH.rpm | cpio -imdv
+cp $CWD/Intel_SSD_Data_Center_${VERSION//./_}_Release_Notes*.pdf \
+ $CWD/Intel_SSD_DCT_3_0_x_User_Guide.pdf .
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -a usr $PKG
+mv $PKG/usr/bin $PKG/usr/sbin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib64
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a NSGSoftwareLicenseAgreement*.txt \
+ Intel_SSD_Data_Center_${VERSION//./_}_Release_Notes*.pdf \
+ Intel_SSD_DCT_3_0_x_User_Guide.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/isdct/isdct.info b/system/isdct/isdct.info
new file mode 100644
index 0000000000..a61781f2aa
--- /dev/null
+++ b/system/isdct/isdct.info
@@ -0,0 +1,14 @@
+PRGNAM="isdct"
+VERSION="3.0.2"
+HOMEPAGE="https://downloadcenter.intel.com/download/26221/Intel-SSD-Data-Center-Tool"
+DOWNLOAD="https://downloadmirror.intel.com/26221/eng/DataCenterTool_3_0_2_Linux.zip \
+ https://downloadmirror.intel.com/26221/eng/Intel_SSD_Data_Center_3_0_2_Release_Notes_015.pdf \
+ http://www.intel.com/content/dam/support/us/en/documents/solid-state-drives/ssd-software/Intel_SSD_DCT_3_0_x_User_Guide.pdf"
+MD5SUM="2dd541bcaf1053e14e40db4d34c561ca \
+ df8218c422f64c5f23e23dbb2cfbdd80 \
+ 01c7920fb4a063080cb2b3f91c3b9a67"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/system/isdct/slack-desc b/system/isdct/slack-desc
new file mode 100644
index 0000000000..3001005550
--- /dev/null
+++ b/system/isdct/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+isdct: isdct (Intel SSD Data Center Tool)
+isdct:
+isdct: The isdct is a proprietary command-line tool to manage Intel SSD Data
+isdct: Center Family NVMe and SATA drives. It can be used to update SSD
+isdct: firmware, calculate drive life expectancy, analyse the SMART
+isdct: information, securely erase, and much more.
+isdct:
+isdct: Home page:
+isdct: downloadcenter.intel.com/download/26221/Intel-SSD-Data-Center-Tool
+isdct:
+isdct: